
Foreman - Refactor #10832

Make LookupKey an STI for puppet and variable keys

06/16/2015 08:35 AM - Tom Caspy

Status: Closed   

Priority: Normal   

Assignee: Tom Caspy   

Category: Parameters   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2466

  

Description

this is required by both parameter usability and the decoupling of puppet from foreman

Related issues:

Related to Foreman - Tracker #4470: Usability of parameters and overrides New

Related to Foreman - Bug #11851: LookupKey deprecation warning on overriding ... Closed 09/16/2015

Related to Foreman - Bug #11861: Smart variables can't be removed from puppet... Closed 09/17/2015

Related to Foreman - Refactor #12822: Separate LookupValue to different class... New 12/15/2015

Related to Foreman - Bug #13975: Edit host fails with 'undefined method `para... Resolved 03/01/2016

Related to Foreman - Bug #14535: /api/smart_class_parameters needs administra... Closed 04/07/2016

Related to Foreman - Bug #14546: No ability to restrict *_external_variables ... Closed 04/08/2016

Related to Foreman - Bug #17918: Smart class parameters in audits appear as S... Closed 01/04/2017

Associated revisions

Revision 6b4b489f - 09/03/2015 02:54 AM - Ori Rabin

fixes #10832 - separating lookup keys into puppet and variable

History

#1 - 06/16/2015 08:36 AM - Tom Caspy

- Related to Tracker #4470: Usability of parameters and overrides added

#2 - 06/16/2015 08:38 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2466 added

- Pull request deleted ()

#3 - 09/03/2015 03:01 AM - Ori Rabin

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 6b4b489fee86c6ca567423a0cb2af177a6d7bc93.

#4 - 09/03/2015 03:07 AM - Dominic Cleal

- Category set to Parameters

- translation missing: en.field_release set to 63

#5 - 09/03/2015 03:08 AM - Dominic Cleal

- Tracker changed from Bug to Refactor
#6 - 09/16/2015 09:25 AM - Dominic Cleal

- Related to Bug #11851: LookupKey deprecation warning on overriding of ActiveRecord::Base.inherited added

#7 - 09/17/2015 07:38 AM - Dominic Cleal

- Related to Bug #11861: Smart variables can't be removed from puppet class added

#8 - 09/21/2015 03:12 AM - Dominic Cleal

- Related to Bug #11862: Smart variables with illegal characters raises an exception  added

#9 - 09/21/2015 03:16 AM - Ori Rabin

- Related to deleted (Bug #11862: Smart variables with illegal characters raises an exception )

#10 - 12/15/2015 03:03 AM - Dominic Cleal

- Related to Refactor #12822: Separate LookupValue to different classes per LookupKey type added

#11 - 03/01/2016 08:22 AM - Dominic Cleal

- Related to Bug #13975: Edit host fails with 'undefined method `param_class' for #<LookupKey:0x007f04dde2bda8>' added

#12 - 04/08/2016 05:43 AM - Dominic Cleal

- Related to Bug #14535: /api/smart_class_parameters needs administrator permissions added

#13 - 04/08/2016 06:03 AM - Dominic Cleal

- Related to Bug #14546: No ability to restrict *_external_variables with search anymore added

#14 - 01/04/2017 05:49 AM - Ori Rabin

- Related to Bug #17918: Smart class parameters in audits appear as Smart Variable added
